<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [setAutoJobAssignment](./bitburner.officeapi.setautojobassignment.md)

## OfficeAPI.setAutoJobAssignment() method

Set the job assignment for a job.

**Signature:**

```typescript
setAutoJobAssignment(divisionName: string, city: CityName | `${CityName}`, job: string, amount: number): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) \| \`${[CityName](./bitburner.cityname.md)<!-- -->}\` | Name of the city |
|  job | string | Name of the job |
|  amount | number | Number of employees to assign to that job |

**Returns:**

boolean

true if the employee count reached the target amount, false if not

## Remarks

RAM cost: 20 GB

